/***********************************************************
 * $Id$
 *
 * ATOS client - ATOS client modules
 *
 * Copyright (C) 2015 EFKON AG http://www.efkon.com
 *
 * Developed by ITEG IT-Engineers GmbH http://www.iteg.at
 *
 ************************************************************/

#ifndef FANCYLOGD_CLIENT_H
#define FANCYLOGD_CLIENT_H

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancylogdClient_DLL
#   define FANCYLOGD_CLIENT_API __attribute__((dllexport))
#  else
#   define FANCYLOGD_CLIENT_API __attribute__((dllimport))
#  endif
# else
#  ifdef BUILD_fancylogdClient_DLL
#   define FANCYLOGD_CLIENT_API __declspec(dllexport)
#  else
#   define FANCYLOGD_CLIENT_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYLOGD_CLIENT_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYLOGD_CLIENT_INTERNAL_API
#define FANCYLOGD_CLIENT_INTERNAL_API
#endif

#ifndef FANCYLOGD_CLIENT_API
#define FANCYLOGD_CLIENT_API
#endif

#endif
